﻿using Microsoft.AspNetCore.Http;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Authentication;
using System.Security.Claims;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Authentications;

namespace Hotline.Application.Tests;
public class DefaultHttpContextAccessor : IHttpContextAccessor, ISessionContext
{
    private HttpContext _content = new DefaultHttpContext();
    private HttpContext GetContext()
    { 
        var context = new DefaultHttpContext();
        //var openId = new Claim(AppClaimTypes.OpenId, "测试生成的OpenId");
        var id = new ClaimsIdentity("身份");
        //id.AddClaim(openId);
        context.User = new ClaimsPrincipal(id);
        //OpenId = context.User.FindFirstValue(AppClaimTypes.OpenId);
        return context;

    }
    public HttpContext? HttpContext { get => GetContext(); set => _content = value; }

  

    public string? OpenId { get; set; }

    /// <summary>
    /// Id of current tenant or null for host
    /// </summary>
    public string? UserId { get; set; }

    /// <summary>
    /// Id of current user or throw Exception for guest
    /// </summary>
    /// <exception cref="AuthenticationException"></exception>
    public string RequiredUserId { get; }
    public string? UserName { get; set; }
    public string? Phone { get; set; }

    /// <summary>
    /// Roles
    /// </summary>
    public string[] Roles { get; set; }
    public string? OrgId { get; set; }
    public string RequiredOrgId { get; }
    public string? OrgName { get; set; }
    public int OrgLevel { get; set; }
    public string? OrgAreaCode { get; set; }
    public bool OrgIsCenter { get; set; }

    /// <summary>
    /// 部门行政区划名称
    /// </summary>
    public string? OrgAreaName { get; set; }
    public string? AreaId { get; set; }
    public string? ClientId { get; set; }

    /// <summary>
    /// 工号
    /// </summary>
    public string? StaffNo { get; set; }
}
