﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.Configurations;
using Hotline.Share.Enums.Order;
using Hotline.Users;
using XF.Domain.Authentications;
using static Org.BouncyCastle.Math.EC.ECCurve;

namespace Hotline.Authentications
{
    public class SessionContextCreator
    {
        public static ISessionContext CreateSessionContext(ISessionContext session, string source, CityBaseConfiguration cityBase)
        {
            switch (source)
            {
                case "province":
                    
                    session.UserId = cityBase.CityProvince.UserId;
                    session.UserName = cityBase.CityProvince.UserName;
                    session.OrgId = cityBase.CityProvince.OrgId;
                    session.OrgName = cityBase.CityProvince.OrgName;
                    session.OrgLevel = 1;

                    return session;
                case "110":
                    return new Police110SessionContext(cityBase.PublicSecurity);
                case "yb-enterprise":
                    return new YbEnterpriseSessionContext(cityBase.CityEnterprise);
                case "zzpt":
                    return new ZzptSessionContext(cityBase.ComprehensiveTreatment);
                default:
                    throw new ArgumentOutOfRangeException(nameof(source), source, null);
            }
        }
    }
}
